//`define SIM 0
`ifdef SIM

parameter IDLE = "IDLE  ";
parameter BUSY = "BUSY  ";
parameter NONSEQ = "NONSEQ";
parameter SEQ = "SEQ   ";
parameter htrans_width = 48;


// HRESP as defined in spec
parameter OKAY = "OKAY ";
parameter ERROR = "ERROR";
parameter RETRY = "RETRY";
parameter SPLIT = "SPLIT";
parameter hresp_width = 40;

// HSIZE
parameter bits8 = "BYTE";
parameter bits16 = "HW  ";
parameter bits32 = "W   ";
parameter bits64 = "DW  ";
parameter bits128 = "QW  ";
parameter bits256 = "OW  ";
parameter bits512 = "DOW ";
parameter bits1024 = "QOW ";
parameter hsize_width = 32;


// Burst kind
parameter SINGLE = "SINGLE";
parameter INCR = "INCR  ";
parameter WRAP4 = "WRAP4 ";
parameter INCR4 = "INCR4 ";
parameter WRAP8 = "WRAP8 ";
parameter INCR8 = "INCR8 ";
parameter WRAP16 = "WRAP16";
parameter INCR16 = "INCR16";
parameter hburst_width = 48;


parameter 	      FSMR_IDLE    = "IDLE";  // no ahb activity
parameter 	      FSMR_READ_P1 = "R_P1";  // ahb in read mode, pipe 1
parameter 	      FSMR_READ_P2 = "R_P2";  // ahb in read mode, pipe 2
parameter 	      FSMR_READ_P3 = "R_P3";  // ahb in read mode, pipe 3
parameter 	      FSMR_READ_P4 = "R_P4";  // ahb in read mode, pipe 4
parameter 	      FSMR_READ_P5 = "R_P5";  // ahb in read mode, pipe 5
parameter 	      FSMR_READ_P6 = "R_P6";  // ahb in read mode, pipe 6
parameter         fsm_read_width =32 ;


parameter 	      FSMW_IDLE  = "IDLE ";  // no ahb activity
parameter 	      FSMW_WRITE = "WRITE";  // ahb in active write
parameter 	      FSMW_BUSY  = "BUSY ";  // ahb in write mode, but busy   
parameter         fsm_write_width = 40;

`else
parameter  IDLE = 2'b00;
parameter  BUSY = 2'b01;
parameter  NONSEQ = 2'b10;
parameter  SEQ = 2'b11;
parameter  htrans_width = 2;

// HRESP as defined in spec
parameter OKAY = 2'b00;
parameter ERROR = 2'b01 ;
parameter RETRY = 2'b10 ;
parameter SPLIT = 2'b11;
parameter hresp_width = 2;

// HSIZE
parameter bits8 = 3'b000;
parameter bits16 = 3'b001;
parameter bits32 = 3'b010;
parameter bits64 = 3'b011 ;
parameter bits128 = 3'b100 ;
parameter bits256 = 3'b101 ;
parameter bits512 = 3'b110 ;
parameter bits1024 = 3'b111;
parameter hsize_width = 3;

// Burst kind
parameter SINGLE = 3'b000;
parameter INCR = 3'b001;
parameter WRAP4 = 3'b010;
parameter INCR4 = 3'b011;
parameter WRAP8 = 3'b100;
parameter INCR8 = 3'b101;
parameter WRAP16 = 3'b110;
parameter INCR16 = 3'b111;
parameter hburst_width = 3;


parameter 	      FSMR_IDLE    = 3'b000;  // no ahb activity
parameter 	      FSMR_READ_P1 = 3'b001;  // ahb in read mode, pipe 1
parameter 	      FSMR_READ_P2 = 3'b010;  // ahb in read mode, pipe 2
parameter 	      FSMR_READ_P3 = 3'b011;  // ahb in read mode, pipe 3
parameter 	      FSMR_READ_P4 = 3'b100;  // ahb in read mode, pipe 4
parameter 	      FSMR_READ_P5 = 3'b101;  // ahb in read mode, pipe 5
parameter 	      FSMR_READ_P6 = 3'b110;  // ahb in read mode, pipe 6
parameter fsm_read_width = 3;

parameter 	      FSMW_IDLE  = 2'b00;  // no ahb activity
parameter 	      FSMW_WRITE = 2'b01;  // ahb in active write
parameter 	      FSMW_BUSY  = 2'b10;  // ahb in write mode, but busy   
parameter fsm_write_width = 2;

`endif
