# SimVision Command Script (Thu Jul 24 18:40:59 PDT 2003)

#
# Markers
#
set time 2514500ps
if {[marker find -match exact -name "Marker 1"] == {}} {
    marker new -name  "Marker 1" -time $time
} else {
    marker set -using "Marker 1" -time $time
}

#
# Cursors
#
set time 468.3ns
if {[cursor find -match exact -name "TimeA"] == {}} {
    cursor new -name  "TimeA" -time $time
} else {
    cursor set -using "TimeA" -time $time
}

#
# Design Browser Windows
#
if {[window find -match exact -name "Design Browser 1"] == {}} {
    window new DesignBrowser -name "Design Browser 1" -geometry 821x500+177+37
} else {
    window geometry "Design Browser 1" 821x500+177+37
}
window target "Design Browser 1" on
browser using "Design Browser 1"
browser set \
    -scope {simulator::tb.ahbCompliance}

#
# Waveform Windows
#
if {[window find -match exact -name "Waveform 1"] == {}} {
    window new WaveWindow -name "Waveform 1" -geometry 1009x663+10+20
} else {
    window geometry "Waveform 1" 1009x663+10+20
}
window target "Waveform 1" on
waveform using "Waveform 1"
waveform set \
    -primarycursor "TimeA" \
    -signalnames name \
    -signalwidth 231 \
    -units ns \
    -valuewidth 147
cursor set -using "TimeA" -time 468.3ns
waveform baseline set -time 1,060,000ps

set id [waveform add -signals {{simulator::tb.mem_slave_1.done_xfrn}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hclk}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hrdata}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.htrans}}]
waveform format $id -radix %a
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hready}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hwdata}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.haddr}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hwrite}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.ahbCompliance.NumberBeats}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.client.xactn}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.client.done}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hsize}}]
waveform format $id -radix %a
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hburst}}]
waveform format $id -radix %a
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hresetn}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hresp}}]
waveform format $id -radix %a
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.hsel_0n}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.fsm_read}}]
waveform format $id -radix %a
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.fsm_write}}]
waveform format $id -radix %a
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.wdata_enb}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.adsc_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.adsp_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.adv_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.bw1_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.bwe_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.bwe_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.cs0}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.cs1_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.gw_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.idt_addr}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.lbo_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.oe_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.wdata_enb}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.idt_addr}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.idt_data}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.reg_addr}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.A}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.reg_addr}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.data_out}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.din}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.doe}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.dsel}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.wr_b1_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.wrb1}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.clk}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.adsc_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.adsp_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.ce_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.cs0}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.cs1_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.gw_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.bwe_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.bw1_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.deselr}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.D}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.data_out}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.din}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.dout}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.dsel}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.m_ad}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.idt71v433s10_1.oe_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.wdata_enb}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.addr1}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.addr2}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.addr3}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.cs0}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.cs1_}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.addr}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.mem_slave_1.addr[15]}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.hsel_0n}}]
waveform format $id -radix %b
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.assert_fail_probe_1}}]
waveform format $id -trace "digital" -color "" -symbol ""
set id [waveform add -signals {{simulator::tb.assert_fail_probe_2}}]
waveform format $id -trace "digital" -color "" -symbol ""

waveform xview limits 468.3ns 1060ns

#
# Source Browser Windows
#
if {[window find -match exact -name "Source Browser 1"] == {}} {
    window new SrcBrowser -name "Source Browser 1" -geometry 619x245+101+125
} else {
    window geometry "Source Browser 1" 619x245+101+125
}
window target "Source Browser 1" on
srcbrowser using {Source Browser 1}
srcbrowser set \
    -primarycursor "TimeA" \
    -units ns \
    -radix default \
    -showstrength 1 \
    -moduleonly 0 \
    -showcallstack 0

srcbrowser open -scope simulator::tb


#
# Assertion Browser Windows
#
if {[window find -match exact -name "Assertion Browser 1"] == {}} {
    window new AssertionBrowser -name "Assertion Browser 1" -geometry 611x460+408+222
} else {
    window geometry "Assertion Browser 1" 611x460+408+222
}
window target "Assertion Browser 1" on

#
# Preferences
#
preferences set ams-show-flow {1}
preferences set ams-show-potential {1}
preferences set analog-height {5}
preferences set color-verilog-by-value {1}
preferences set create-cursor-for-new-window {0}
preferences set cv-num-lines {25}
preferences set cv-show-only {1}
preferences set db-scope-gen-compnames {0}
preferences set db-scope-gen-icons {1}
preferences set db-scope-gen-sort {name}
preferences set db-scope-gen-tracksb {0}
preferences set db-scope-systemc-processes {1}
preferences set db-scope-verilog-cells {1}
preferences set db-scope-verilog-functions {1}
preferences set db-scope-verilog-namedbegins {1}
preferences set db-scope-verilog-namedforks {1}
preferences set db-scope-verilog-tasks {1}
preferences set db-scope-vhdl-assertions {1}
preferences set db-scope-vhdl-assignments {1}
preferences set db-scope-vhdl-blocks {1}
preferences set db-scope-vhdl-breakstatements {1}
preferences set db-scope-vhdl-calls {1}
preferences set db-scope-vhdl-generates {1}
preferences set db-scope-vhdl-processstatements {1}
preferences set db-show-editbuf {1}
preferences set db-show-modnames {1}
preferences set db-show-values {simulator}
preferences set db-signal-filter-constants {1}
preferences set db-signal-filter-generics {1}
preferences set db-signal-filter-other {1}
preferences set db-signal-filter-quantities {1}
preferences set db-signal-filter-signals {1}
preferences set db-signal-filter-terminals {1}
preferences set db-signal-filter-variables {1}
preferences set db-signal-gen-radix {default}
preferences set db-signal-gen-showdetail {0}
preferences set db-signal-gen-showstrength {0}
preferences set db-signal-gen-sort {name}
preferences set db-signal-show-assertions {1}
preferences set db-signal-show-errorsignals {1}
preferences set db-signal-show-fibers {1}
preferences set db-signal-show-inouts {1}
preferences set db-signal-show-inputs {1}
preferences set db-signal-show-internal {1}
preferences set db-signal-show-mutexes {1}
preferences set db-signal-show-outputs {1}
preferences set db-signal-show-semaphores {1}
preferences set db-signal-vlogfilter-branches {1}
preferences set db-signal-vlogfilter-memories {1}
preferences set db-signal-vlogfilter-parameters {1}
preferences set db-signal-vlogfilter-registers {1}
preferences set db-signal-vlogfilter-variables {1}
preferences set db-signal-vlogfilter-wires {1}
preferences set default-ams-formatting {potential}
preferences set default-time-units {ns}
preferences set delete-unused-cursors-on-exit {1}
preferences set delete-unused-groups-on-exit {1}
preferences set enable-toolnet {0}
preferences set initial-zoom-out-full {0}
preferences set key-bindings {
	Edit>Undo "Ctrl+Z"
	Edit>Redo "Ctrl+Y"
	Edit>Copy "Ctrl+C"
	Edit>Cut "Ctrl+X"
	Edit>Paste "Ctrl+V"
	Edit>Delete "Del"
	openDB "Ctrl+O"
	View>Zoom>InX "Alt+I"
	View>Zoom>OutX "Alt+O"
	View>Zoom>FullX "Alt+="
	View>Zoom>InX_widget "I"
	View>Zoom>OutX_widget "O"
	View>Zoom>FullX_widget "="
	View>Zoom>Cursor-Baseline "Alt+Z"
	View>Center "Alt+C"
	View>ExpandSequenceTime>AtCursor "Alt+X"
	View>CollapseSequenceTime>AtCursor "Alt+S"
	Edit>Create>Group "Ctrl+G"
	Edit>Ungroup "Ctrl+Shift+G"
	Edit>Create>Marker "Ctrl+M"
	Edit>Create>Condition "Ctrl+E"
	Edit>Create>Bus "Ctrl+W"
	Explore>NextEdge "Ctrl+\]"
	Explore>PreviousEdge "Ctrl+\["
	ScrollRight "Right arrow"
	ScrollLeft "Left arrow"
	ScrollUp "Up arrow"
	ScrollDown "Down arrow"
	PageUp "PageUp"
	PageDown "PageDown"
	TopOfPage "Home"
	BottomOfPage "End"
}
preferences set marching-waveform {1}
preferences set prompt-exit {1}
preferences set prompt-on-reinvoke {1}
preferences set restore-state-on-startup {0}
preferences set save-state-on-startup {0}
preferences set sb-editor-command {xterm -e vi +%L %F}
preferences set sb-history-size {10}
preferences set sb-module-only {0}
preferences set sb-radix {default}
preferences set sb-show-strength {1}
preferences set sb-syntax-highlight {0}
preferences set sb-syntax-types {
    {
	-name "VHDL/VHDL-AMS" -dacname "vhdl" -extensions {.vhd .vhdl}
	-ignorecase 1 -multiline {} -singleline {--} -singlechar {} -onechar {'}
	-keywords {
	    \{ abs access after alias all 
	    and architecture array assert attribute 
	    begin block body buffer bus 
	    case component configuration constant disconnect 
	    downto else elsif end entity 
	    exit file for function generate
	    generic group guarded if impure 
	    in inertial inout is label 
	    library linkage literal loop map
	    mod nand new next nor
	    not null of on open
	    or others out package port
	    postponed procedure process pure range
	    record register reject rem report
	    return rol ror select severity
	    signal shared sla sll sra 
	    srl subtype then to transport
	    type unaffected units until use
	    variable wait when while xnor 
	    xor `base `left `right `high 
	    `low `ascending `image `value `pos 
	    `val `succ `pred `leftof `rightof
	    `range `reverse_range `length `delayed `stable 
	    `quiet `transaction `event `last_event `last_active 
	    `last_value `driving `driving_value `simple_name `instance_name 
	    `path_name
            across break nature noise quantity procedural
            reference spectrum subnature terminal through
            tolerance \}
	}
    }
    {
	-name "Verilog/Verilog-AMS" -dacname "verilog" -extensions {.v .vams .vms .va}
	-multiline {/* */} -singleline {//} -singlechar {}
	-keywords {
	    \{ always and assign attribute begin 
	    buf bufif0 bufif1 case casex
	    casez cmos deassign default defparam 
	    disable edge else end endattribute 
	    endcase endmodule endfunction endprimitive endspecify 
	    endtable endtask event for force 
	    forever fork function highz0 highz1 
	    if initial inout input integer 
	    join large macromodule medium module 
	    nand negedge nmos nor not 
	    notif0 notif1 or output parameter 
	    pmos posedge primitive pull0 pull1 
	    pullup pulldown rcmos reg release 
	    repeat rnmos rpmos rtran rtranif0 
	    rtranif1 scalared small specify specparam 
	    strength strong0 strong1 supply0 supply1 
	    table task time tran tranif0 
	    tranif1 tri tri0 tri1 triand 
	    trior trireg use vectored wait
	    wand weak0 weak1 while wire
	    wor xnor xor 
            nature endnature abstol access ddt_nature idt_nature
            units flow potential discipline enddiscipline domain
            discrete continuous branch genvar analog generate
            cross above timer initial_step final_step ddt
            idt idtmod absdelay transition slew laplace_zd
            laplace_zp laplace_nd laplace_np last_crossing zi_zp
            zi_zd zi_np zi_nd ac_stim white_noise flicker_noise
            noise_table analysis ln log exp sqrt min max abs pow
            ceil floor sin cos tan asin acos atan atan2 sinh cosh
            tanh asinh acosh atanh hypot driver_update connectrules
            endconnectrules connectmodule connect resolveto split
            merged inf from exclude ground wreal dynamicparam \}
	}
    }
    {
	-name "C" -dacname "c" -extensions {.c}
	-multiline {/* */} -singleline {}
	-keywords {
	    \{ asm auto break case catch
	    cdecl char class const continue 
	    default define delete do double 
	    else enum extern far float 
	    for goto huge if include 
	    inline int interrupt long near 
	    operator pascal register return short 
	    signed sizeof static struct switch 
	    typedef union unsigned void volatile 
	    while \}
	}
    }
    {
	-name "C++" -dacname "c++" -extensions {.h .hpp .cc .cpp .CC}
	-multiline {/* */} -singleline {//}  
	-keywords {
	    \{ asm auto break case catch 
	    cdecl char class const continue 
	    default define delete do double 
	    else enum extern far float 
	    for friend goto huge if 
	    include inline int interrupt long 
	    near new operator pascal private 
	    protected public register return short 
	    signed sizeof static struct switch 
	    template this typedef union unsigned 
	    virtual void volatile while \}
	}
    }
    {
	-name "SystemC" -dacname "systemc" -extensions {.h .hpp .cc .cpp .CC} 
	-multiline {/* */} -singleline {//} 
	-keywords {
	    \{ asm auto break case catch 
	    cdecl char class const continue 
	    default define delete do double 
	    else enum extern far float 
	    for friend goto huge if 
	    include inline int interrupt long 
	    near new operator pascal private 
	    protected public register return short 
	    signed sizeof static struct switch 
	    template this typedef union unsigned 
	    virtual void volatile while \}
	}
    }
}
preferences set sb-tab-size {8}
preferences set schematic-show-values {simulator}
preferences set search-toolbar {1}
preferences set seq-time-width {30}
preferences set sfb-colors {
	register #beded1
	variable #beded1
	assignStmt gray85
	force #faa385
}
preferences set sfb-default-tree {0}
preferences set sfb-max-cell-width {40}
preferences set show-database-names {0}
preferences set show-full-signal-names {0}
preferences set show-times-on-cursors {1}
preferences set show-times-on-markers {1}
preferences set signal-type-colors {unknown #FFFFFF assertion #FF0000 errorsignal #FF0000 fiber #FF99FF input #FFFF00 internal #ff00ff output #FFA500 group #0000FF overlay #0000FF inout #00FFFF}
preferences set snap-to-edge {1}
preferences set toolbars-style {icon}
preferences set transaction-height {3}
preferences set use-signal-type-colors {1}
preferences set use-signal-type-icons {1}
preferences set verilog-colors {Su #ff0099 0 #00ff00 1 #00ff00 HiZ #ff9900 We #00ffff Pu #9900ff Sm #00ff99 X #ff0000 StrX #ff0000 other #ffff00 Z #ff9900 Me #0000ff La #ff00ff St #00ff00}
preferences set vhdl-colors {X #ff0000 0 #00ff00 L #00ffff H #00ffff U #9900ff 1 #ffffff - #0000ff Z #ff9900 W #ff0000}
preferences set waveform-banding {1}
preferences set waveform-height {10}
preferences set waveform-space {2}
